package com.ruoyi.system.domain.withdraw;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 提现记录对象 rl_withdraw
 *
 * @author qzz
 * @date 2024-09-28
 */
public class RlWithdraw extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 提现id */
    private Long id;

    /** 提现单号 */
    @Excel(name = "提现单号")
    private String withdrawNo;

    /** 提现金额 */
    @Excel(name = "提现金额")
    private BigDecimal amount;

    /** 运营商id */
    @Excel(name = "运营商id")
    private Long deptId;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 驳回原因 */
    @Excel(name = "驳回原因")
    private String rejectReason;

    /** 申请人 */
    @Excel(name = "申请人")
    private String ownerName;

    /** 申请人id */
    @Excel(name = "申请人id")
    private Long ownerId;

    /** 手机号 */
    @Excel(name = "手机号")
    private String ownerPhone;

    /** 服务费 */
    @Excel(name = "服务费")
    private BigDecimal serviceCharge;

    /** 成本 */
    @Excel(name = "成本")
    private BigDecimal cost;

    /** 打款方式 */
    @Excel(name = "打款方式")
    private String paymentMethod;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setWithdrawNo(String withdrawNo)
    {
        this.withdrawNo = withdrawNo;
    }

    public String getWithdrawNo()
    {
        return withdrawNo;
    }
    public void setAmount(BigDecimal amount)
    {
        this.amount = amount;
    }

    public BigDecimal getAmount()
    {
        return amount;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setRejectReason(String rejectReason)
    {
        this.rejectReason = rejectReason;
    }

    public String getRejectReason()
    {
        return rejectReason;
    }
    public void setOwnerName(String ownerName)
    {
        this.ownerName = ownerName;
    }

    public String getOwnerName()
    {
        return ownerName;
    }
    public void setOwnerId(Long ownerId)
    {
        this.ownerId = ownerId;
    }

    public Long getOwnerId()
    {
        return ownerId;
    }
    public void setOwnerPhone(String ownerPhone)
    {
        this.ownerPhone = ownerPhone;
    }

    public String getOwnerPhone()
    {
        return ownerPhone;
    }
    public void setServiceCharge(BigDecimal serviceCharge)
    {
        this.serviceCharge = serviceCharge;
    }

    public BigDecimal getServiceCharge()
    {
        return serviceCharge;
    }
    public void setCost(BigDecimal cost)
    {
        this.cost = cost;
    }

    public BigDecimal getCost()
    {
        return cost;
    }
    public void setPaymentMethod(String paymentMethod)
    {
        this.paymentMethod = paymentMethod;
    }

    public String getPaymentMethod()
    {
        return paymentMethod;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("withdrawNo", getWithdrawNo())
            .append("amount", getAmount())
            .append("deptId", getDeptId())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("rejectReason", getRejectReason())
            .append("ownerName", getOwnerName())
            .append("ownerId", getOwnerId())
            .append("ownerPhone", getOwnerPhone())
            .append("serviceCharge", getServiceCharge())
            .append("cost", getCost())
            .append("paymentMethod", getPaymentMethod())
            .toString();
    }
}
